> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seminode.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a Permission for a Node

> Replaces or edits an existing public-key permission for the Node.



## OpenAPI

````yaml https://api.seminode.com/v1/docs/public patch /nodes/{id}/permissions
openapi: 3.0.1
info:
  contact: {}
  description: Standard HTTP Basic authentication (username & password).
  title: Seminode API
  version: '1.0'
servers:
  - url: https://api.seminode.com/v1
security: []
tags: []
paths:
  /nodes/{id}/permissions:
    patch:
      tags:
        - Node Permissions
      summary: Update a Permission for a Node
      description: Replaces or edits an existing public-key permission for the Node.
      parameters:
        - description: Node ID
          in: path
          name: id
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/permissions.Permission'
        description: Updated permission object
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/utils.DetailResponse'
          description: permission updated
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/utils.ErrorResponse'
          description: invalid input
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/utils.ErrorResponse'
          description: caller lacks Node privileges
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/utils.ErrorResponse'
          description: server error
        default:
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/utils.ErrorResponse'
      security:
        - BearerAuth: []
        - LoginAuth: []
components:
  schemas:
    permissions.Permission:
      properties:
        manage:
          type: boolean
        public_key:
          type: string
        read:
          type: boolean
        write:
          type: boolean
      type: object
    utils.DetailResponse:
      properties:
        detail:
          type: string
      type: object
    utils.ErrorResponse:
      properties:
        error:
          type: string
      type: object
  securitySchemes:
    BearerAuth:
      description: 'Format: "Bearer &lt;access_token&gt;"'
      in: header
      name: Authorization
      type: apiKey
    LoginAuth:
      scheme: basic
      type: http

````